/*
 * Copyright (c) 2026, Chloe M.
 * Provided under the BSD-3 clause.
 *
 * Description: Thread related user-API
 * Author:      Chloe M.
 */

#include <ps/uapi.h>
#include <ps/thread.h>

PT_STATUS
PsSysThreadExit(SYSCALL_ARGS *Args)
{
    PsExitThread(Args->Arg[0]);
    UNREACHABLE();
}
